Bug 842342 - [abrt] gnumeric-1.10.17-1.fc16: ole_init_info: Process /usr/bin/gnumeric-1.10.17 was killed by signal 7 (SIGBUS)
[abrt] gnumeric-1.10.17-1.fc16: ole_init_info: Process /usr/bin/gnumeric-1.10...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
abrt_hash:8565b610ca0e90353e1f92081e7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 10:23 EDT by Tuc
Modified: 2013-02-13 09:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:49:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: maps (33.54 KB, text/plain)
2012-07-23 10:23 EDT, Tuc
no flags Details
File: dso_list (6.73 KB, text/plain)
2012-07-23 10:23 EDT, Tuc
no flags Details
File: backtrace (48.49 KB, text/plain)
2012-07-23 10:24 EDT, Tuc
no flags Details

  None (edit)
Description Tuc 2012-07-23 10:23:51 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gnumeric
comment:        Opened a file on a Windows share. I've seen this happen before if the file is already in use.
crash_function: ole_init_info
executable:     /usr/bin/gnumeric-1.10.17
kernel:         3.3.5-2.fc16.x86_64
pid:            22525
pwd:            /home/tuc
reason:         Process /usr/bin/gnumeric-1.10.17 was killed by signal 7 (SIGBUS)
time:           Mon 23 Jul 2012 10:16:43 AM EDT
uid:            1000
username:       tuc

backtrace:      Text file, 49658 bytes
dso_list:       Text file, 6890 bytes
maps:           Text file, 34346 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=2027
:HOSTNAME=frigg.laddersoffice.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c97ea420a2bdf8f7ede2447700000010-1342719105.446686-1210246624
:GNOME_KEYRING_CONTROL=/tmp/keyring-5H4ThA
:IMSETTINGS_MODULE=none
:USER=tuc
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-OqKsAqOI1893/agent.1893
:USERNAME=tuc
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/tuc
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/tuc/.local/bin:/home/tuc/bin
:QT_IM_MODULE=xim
:PWD=/home/tuc
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1888
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/tuc
:LOGNAME=tuc
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Oio3tJ3JLB,guid=9909f207eecadc36cfc97e1400000020
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/tuc
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-tuc-D9ywGV/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2056,unix/unix:/tmp/.ICE-unix/2056
:DISPLAY=:0.0
:DESKTOP_STARTUP_ID=xfce4-panel/gnumeric/2063-5-frigg.laddersoffice.com_TIME333908004

smolt_data:
:
:
:General
:=================================
:UUID: 385eb72a-a7c1-47fe-af8c-d15967132ac7
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5652.07
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Quad CPU    Q9550  @ 2.83GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 4
:CPU Speed: 2825
:System Memory: 7858
:System Swap: 9919
:Vendor: Dell Inc.
:System: OptiPlex 960 
:Form factor: Mini Tower
:Kernel: 3.3.5-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:11792:4136:630) pci, None, HOST/PCI, 4 Series Chipset DRAM Controller
:(32902:11793:4136:630) pci, pcieport, PCI/PCI, 4 Series Chipset PCI Express Root Port
:(32902:14944:4136:630) pci, i801_smbus, SERIAL, 82801JD/DO (ICH10 Family) SMBus Controller
:(32902:10274:4136:630) pci, ahci, RAID, 82801 SATA RAID Controller
:(32902:14868:4136:630) pci, None, PCI/ISA, 82801JDO (ICH10DO) LPC Interface Controller
:(32902:4318:4136:630) pci, e1000e, ETHERNET, 82567LM-3 Gigabit Network Connection
:(32902:9294:4136:630) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:14949:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #2
:(32902:14948:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #1
:(32902:14953:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #6
:(32902:14950:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #3
:(32902:14954:4136:630) pci, ehci_hcd, USB, 82801JD/DO (ICH10 Family) USB2 EHCI Controller #1
:(32902:14956:4136:630) pci, ehci_hcd, USB, 82801JD/DO (ICH10 Family) USB2 EHCI Controller #2
:(32902:14960:4136:630) pci, pcieport, PCI/PCI, 82801JD/DO (ICH10 Family) PCI Express Port 1
:(32902:14962:4136:630) pci, pcieport, PCI/PCI, 82801JD/DO (ICH10 Family) PCI Express Port 2
:(32902:11796:4136:630) pci, None, SIMPLE, 4 Series Chipset HECI Controller
:(32902:11799:4136:630) pci, serial, 16550_SERIAL, 4 Series Chipset Serial KT Controller
:(32902:14958:4136:630) pci, snd_hda_intel, MULTIMEDIA, 82801JD/DO (ICH10 Family) HD Audio Controller
:(32902:14951:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #4
:(32902:14952:4136:630) pci, uhci_hcd, USB, 82801JD/DO (ICH10 Family) USB UHCI Controller #5
:(4098:43560:6023:43560) pci, snd_hda_intel, MULTIMEDIA, RV620 Audio device [Radeon HD 34xx Series]
:(4098:38341:6023:8786) pci, radeon, VIDEO, RV620 LE [Radeon HD 3450]
:(32902:11798:4136:630) pci, ata_generic, STORAGE, 4 Series Chipset PT IDER Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_frigg-lv_root / ext4 4096 4096 10539135 3475080 3369596 2637824 2423109 2423109
:/dev/sdb2 /boot ext4 1024 1024 508745 409615 384015 128016 127779 127779
:/dev/mapper/vg_frigg-lv_home /home ext4 4096 4096 1429451 449377 377697 359040 321317 321317
:/dev/sda1 WITHHELD fuseblk 4096 4096 61032935 31620631 31620631 126842972 126632945 126632945
:

var_log_messages:
:Jul 23 10:14:47 frigg abrt[22465]: Saved core dump of pid 22463 (/usr/bin/gnumeric-1.10.17) to /var/spool/abrt/ccpp-2012-07-23-10:14:47-22463 (7839744 bytes)
:Jul 23 10:15:32 frigg abrt[22493]: Saved core dump of pid 22492 (/usr/bin/gnumeric-1.10.17) to /var/spool/abrt/ccpp-2012-07-23-10:15:32-22492 (7852032 bytes)
:Jul 23 10:16:43 frigg abrt[22544]: Saved core dump of pid 22525 (/usr/bin/gnumeric-1.10.17) to /var/spool/abrt/ccpp-2012-07-23-10:16:43-22525 (42463232 bytes)

xsession_errors:
:00400000-00453000 r-xp 00000000 fd:01 21667                              /usr/bin/gnumeric-1.10.17
:00652000-00653000 r--p 00052000 fd:01 21667                              /usr/bin/gnumeric-1.10.17
:00653000-00658000 rw-p 00053000 fd:01 21667                              /usr/bin/gnumeric-1.10.17
:abrt-applet: repeated problem in gnumeric-1.10.17-1.fc16, not showing the notification
Comment 1 Tuc 2012-07-23 10:23:56 EDT
Created attachment 599793 [details]
File: maps
Comment 2 Tuc 2012-07-23 10:23:58 EDT
Created attachment 599794 [details]
File: dso_list
Comment 3 Tuc 2012-07-23 10:24:00 EDT
Created attachment 599795 [details]
File: backtrace
Comment 4 Julian Sikorski 2012-07-23 13:00:26 EDT
I cannot test it myself since I'm already on F-17 (and thus gnumeric-1.11.x). Morten, do you have any ideas?
Comment 5 M Welinder 2012-07-23 13:14:25 EDT
I suspect the operative words are "Windows share" and that this is
really version independent.  I cannot test environment, though.
Comment 6 Tuc 2012-07-23 13:18:55 EDT
//fs1/GROUPS                 2044720126 1997814010  46906116  98% /g

sudo mount -t cifs -o username=fred,domain=example,rw,uid=1000,gid=1000 //fs1/GROUPS /g


File came off that drive. It was in use, there was some sort of lock file in the directory, and I think Windows has some sort of lock too. I cheated and removed the disk lock, but still blew up. Once the user stopped using the file on his system, I was able to access it fine.
Comment 7 Fedora End Of Life 2013-01-16 08:53:41 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 09:49:04 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.